Subject: Re: [PATCH v2] filter-branch: Add more error-handling

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Feb 2009 14:28:04 -0800

Nanako Shiraishi <[email-masked]> writes:

> Quoting Junio C Hamano <[email-masked]>:
>
>> This goes after three-dashes; people who read "git log" output wouldn't
>> know nor care what was in v1.
>> 
>>     Subject: Fix X under condition Z
>> 
>>     X should do Y if condition Z holds, but it does not.  This can result
>>     in broken results such as W and V.
>> 
>>     This patch fixes X by changing A, B and C.
>> 
>>     Thanks for M, N and O for reviewing and suggesting improvements.
>> 
>>     Signed-off-by: A U Thor <[email-masked]>
>
> I think you meant this as a sample to follow.  Can we add it to Documentation/SubmittingPatches?

I did mean it as such, but I doubt it is good enough to be in in the
document (primarily because I wrote it).

Just quoting the above verbatim does not make it clear that "Thanks for M,
N..." is usually not even wanted, but was merely a suggestion for this
specific case of Eric's commit, iow, _only if he wanted to_.  We need more
commentary like that, but with too much details, it would cease to be a
generic recommendation.

Also, the above is not suitable for new features at all as a template.